Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # usbconstants.h Go to the documentation of this file.
    00001
    00058 #ifndef usbconstants_H
    00059
    00060 #ifndef __doxygen_HIDE
    00061
    00062 #define usbconstants_H
    00063
    00064 #endif /* __doxygen_HIDE */
    00065
    00069 typedef enum /* USBEndpointDirection */
    00070 {
    00071     USB_NO_DATA = 0,
    00072     USB_IN      = 0x01,
    00073     USB_OUT     = 0x02,
    00074     USB_IN_OUT  = USB_IN | USB_OUT
    00075 } USBEndpointDirection;
    00076
    00082 typedef enum /* USBEndpointType */
    00083 {
    00084     USB_CONTROL     = 0x10,
    00085     USB_BULK        = 0x20,
    00086     USB_INTERRUPT   = 0x40,
    00087     USB_ISOCHRONOUS = 0x80
    00088 } USBEndpointType;
    00089
    00093 typedef enum /* USBEventMap */
    00094 {
    00095     USB_NO_EVENT      = 0,
    00096     USB_RESET         = 0x01,
    00097     USB_SUSPEND       = 0x02,
    00098     USB_RESUME        = 0x04,
    00099     USB_SOF           = 0x08,
    00100     USB_DEVICE_EVENTS = USB_RESET | USB_SUSPEND | USB_RESUME,
    00101     USB_BUS_EVENTS    = USB_SOF,
    00102     USB_ALL_EVENTS    = USB_DEVICE_EVENTS | USB_BUS_EVENTS
    00103 } USBEventMap;
    00104
    00108 typedef enum /* USBDeviceFlags */
    00109 {
    00110     ENABLE_RX_SEQ = 0x01,
    00111     ENABLE_TX_SEQ = 0x02
    00112 } USBDeviceFlags;
    00113
    00117 typedef enum /* USBEndpointNumber */
    00118 {
    00119     ENDPOINT_0 = 0,
    00120     ENDPOINT_1,
    00121     ENDPOINT_2,
    00122     ENDPOINT_3,
    00123     ENDPOINT_4,
    00124     ENDPOINT_5,
    00125     ENDPOINT_6,
    00126     ENDPOINT_7,
    00127     ENDPOINT_8,
    00128     ENDPOINT_9,
    00129     ENDPOINT_10,
    00130     ENDPOINT_11,
    00131     ENDPOINT_12,
    00132     ENDPOINT_13,
    00133     ENDPOINT_14,
    00134     ENDPOINT_15
    00135 } USBEndpointNumber;
    00136
    00137 #endif /* usbconstants_H */
    00138
Automatically generated from sources. © Intel Corp. 2003